| All Verbs | /RestApi/sitefinity/inlineediting/workflow |
|---|
import datetime
import decimal
from marshmallow.fields import *
from servicestack import *
from typing import *
from dataclasses import dataclass, field
from dataclasses_json import dataclass_json, LetterCase, Undefined, config
from enum import Enum, IntEnum
class InlineEditingOperation(str, Enum):
PUBLISH = 'Publish'
SAVE_AS_DRAFT = 'SaveAsDraft'
CUSTOM = 'Custom'
@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class ItemContextModel:
item_id: Optional[str] = None
item_type: Optional[str] = None
provider: Optional[str] = None
field_values: Optional[List[FieldValueModel]] = None
@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class WorkflowOperationMessage:
page_id: Optional[str] = None
workflow_operation: Optional[InlineEditingOperation] = None
custom_workflow_operation: Optional[str] = None
items: Optional[List[ItemContextModel]] = None
@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class FieldValueModel:
name: Optional[str] = None
value: Optional[Object] = None
complex_value: Optional[List[FieldValueModel]] = None
Python WorkflowOperationMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/sitefinity/inlineediting/workflow HTTP/1.1
Host: www.asg.com.au
Accept: application/xml
Content-Type: application/xml
Content-Length: length
<WorkflowOperationMessage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Services.InlineEditing.Messages">
<CustomWorkflowOperation>String</CustomWorkflowOperation>
<Items xmlns:d2p1="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Services.InlineEditing">
<d2p1:ItemContextModel>
<d2p1:FieldValues>
<d2p1:FieldValueModel>
<d2p1:ComplexValue>
<d2p1:FieldValueModel>
<d2p1:ComplexValue>
<d2p1:FieldValueModel>
<d2p1:ComplexValue i:nil="true" />
<d2p1:Name>String</d2p1:Name>
<d2p1:Value />
</d2p1:FieldValueModel>
</d2p1:ComplexValue>
<d2p1:Name>String</d2p1:Name>
<d2p1:Value />
</d2p1:FieldValueModel>
</d2p1:ComplexValue>
<d2p1:Name>String</d2p1:Name>
<d2p1:Value />
</d2p1:FieldValueModel>
</d2p1:FieldValues>
<d2p1:ItemId>String</d2p1:ItemId>
<d2p1:ItemType>String</d2p1:ItemType>
<d2p1:Provider>String</d2p1:Provider>
</d2p1:ItemContextModel>
</Items>
<PageId>String</PageId>
<WorkflowOperation>Publish</WorkflowOperation>
</WorkflowOperationMessage>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<ArrayOfBaseWorkflowOperationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Services.InlineEditing">
<BaseWorkflowOperationModel>
<DetailsViewUrl>String</DetailsViewUrl>
<ItemId>00000000-0000-0000-0000-000000000000</ItemId>
<ItemName>String</ItemName>
<ItemStatus>
<DisplayStatus>String</DisplayStatus>
<IsAdmin>false</IsAdmin>
<IsEditable>false</IsEditable>
<IsLocked>false</IsLocked>
<IsLockedByMe>false</IsLockedByMe>
<IsPublished>false</IsPublished>
<IsStatusEditable>false</IsStatusEditable>
<LockedByUsername>String</LockedByUsername>
<WorkflowStatus>String</WorkflowStatus>
</ItemStatus>
<ItemType>String</ItemType>
<ProviderName>String</ProviderName>
</BaseWorkflowOperationModel>
</ArrayOfBaseWorkflowOperationModel>